| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::StaticGeometry::QueuedSubMesh Struct Reference

Structure recording a queued submesh for the build. More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::StaticGeometry::QueuedSubMesh:
[legend]

## Public Attributes
SubMeshLodGeometryLinkList * | geometryLodList
| Link to LOD list of geometry, potentially optimised. More...
String | materialName
Quaternion | orientation
Vector3 | position
Vector3 | scale
SubMesh * | submesh
AxisAlignedBox | worldBounds
| Pre-transformed world AABB. More...

## Detailed Description

Structure recording a queued submesh for the build.

## Member Data Documentation

## ◆ submesh

SubMesh* Ogre::StaticGeometry::QueuedSubMesh::submesh

## ◆ geometryLodList

SubMeshLodGeometryLinkList* Ogre::StaticGeometry::QueuedSubMesh::geometryLodList

Link to LOD list of geometry, potentially optimised.

## ◆ materialName

String Ogre::StaticGeometry::QueuedSubMesh::materialName

## ◆ position

Vector3 Ogre::StaticGeometry::QueuedSubMesh::position

## ◆ orientation

Quaternion Ogre::StaticGeometry::QueuedSubMesh::orientation

## ◆ scale

Vector3 Ogre::StaticGeometry::QueuedSubMesh::scale

## ◆ worldBounds

AxisAlignedBox Ogre::StaticGeometry::QueuedSubMesh::worldBounds

Pre-transformed world AABB.

The documentation for this struct was generated from the following file:

- OgreStaticGeometry.h